Name:        deja-vu-sans-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Bitstream-Vera
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/DejaVuSansMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 DejaVuSansMNerdFont-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-BoldOblique.ttf
install -Dm644 DejaVuSansMNerdFontMono-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-BoldOblique.ttf
install -Dm644 DejaVuSansMNerdFontPropo-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-BoldOblique.ttf
install -Dm644 DejaVuSansMNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Bold.ttf
install -Dm644 DejaVuSansMNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Bold.ttf
install -Dm644 DejaVuSansMNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Bold.ttf
install -Dm644 DejaVuSansMNerdFont-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Oblique.ttf
install -Dm644 DejaVuSansMNerdFontMono-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Oblique.ttf
install -Dm644 DejaVuSansMNerdFontPropo-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Oblique.ttf
install -Dm644 DejaVuSansMNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Regular.ttf
install -Dm644 DejaVuSansMNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Regular.ttf
install -Dm644 DejaVuSansMNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-BoldOblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-BoldOblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-BoldOblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Oblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Oblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Oblique.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/DejaVuSansMNerdFontPropo-Regular.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
